Page MenuHomePhabricator

AdvancedSearch extension changes behaviour of default namespaces to be search for anon and logged in users
Closed, ResolvedPublicBUG REPORT

Description

If I open wikidata.org with clean environment and go to Special:Search and search, I get lots of namespaces searched, including talk namespaces, etc.

Not sure if it's intentional or not, but the consequences are: for the user with default settings:

  • They do not get specialized Wikidata search (no languages support, no highlighting, etc. - almost all the features we've worked for Wikidata search are not used)
  • Talk spaces are searched together with article spaces - meaning index optimizations for splitting talk and article spaces are not used and search is run in slowest mode possible.
  • A lot of spaces are searched that common user would not be interested in - Template, etc.

We need to figure out why it happens, whether it is intentional and fix it.

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterRespect true/false settings in namespaces to be searched
mediawiki/extensions/AdvancedSearch : masterTests for Hook::getDefaultNamespaces
mediawiki/extensions/AdvancedSearch : wmf/1.33.0-wmf.23Respect true/false settings in namespaces to be searched

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 9:41 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 27 2019, 9:42 PM
Smalyshev updated the task description. (Show Details)Mar 27 2019, 9:43 PM

Change 499661 had a related patch set uploaded (by Smalyshev; owner: EBernhardson):
[mediawiki/extensions/AdvancedSearch@master] Respect true/false settings in wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/499661

Change 499661 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/AdvancedSearch@master] Respect true/false settings in namespaces to be searched

https://gerrit.wikimedia.org/r/499661

Smalyshev updated the task description. (Show Details)Mar 27 2019, 10:07 PM
EBernhardson renamed this task from wikidata.org search uses tons of namespaces by default to AdvancedSearch extension changes behaviour of default namespaces to be search for anon and logged in users.Mar 27 2019, 10:27 PM
EBernhardson added a subscriber: IKhitron.
Smalyshev changed the subtype of this task from "Task" to "Bug Report".Mar 28 2019, 3:26 AM

Change 499774 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/AdvancedSearch@master] Tests for Hook::getDefaultNamespaces

https://gerrit.wikimedia.org/r/499774

Change 499661 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Respect true/false settings in namespaces to be searched

https://gerrit.wikimedia.org/r/499661

Change 499788 had a related patch set uploaded (by Jforrester; owner: EBernhardson):
[mediawiki/extensions/AdvancedSearch@wmf/1.33.0-wmf.23] Respect true/false settings in namespaces to be searched

https://gerrit.wikimedia.org/r/499788

Change 499788 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@wmf/1.33.0-wmf.23] Respect true/false settings in namespaces to be searched

https://gerrit.wikimedia.org/r/499788

Jdforrester-WMF closed this task as Resolved.Mar 28 2019, 6:17 PM
Jdforrester-WMF assigned this task to EBernhardson.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Back-ported to production. Thanks, all!

Mentioned in SAL (#wikimedia-operations) [2019-03-28T18:17:50Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.23/extensions/AdvancedSearch/: AdvancedSearch: Fix two UBNs T219455 T219539 (duration: 00m 59s)

Change 499774 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Tests for Hook::getDefaultNamespaces

https://gerrit.wikimedia.org/r/499774